
Katello - Feature #5068

Users should be redirect to the login page whenever a 401 or 403 occurs.

04/03/2014 07:32 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Associated revisions

Revision fb9ec519 - 04/03/2014 03:42 PM - Eric Helms

Fixes #5068: Redirect user to login on 401 and 403 and fix CSRF header.

Revision 81c0eab4 - 04/03/2014 07:42 PM - Eric Helms

Fixes #5068: Redirect user to login on 401 and 403 and fix CSRF header.

Revision 7e7d5a59 - 04/04/2014 09:08 AM - Eric Helms

Merge pull request #3802 from ehelms/enable-csrf

Fixes #5068: Redirect user to login on 401 and 403 and fix CSRF header.

Revision f1181dc8 - 04/04/2014 01:08 PM - Eric Helms

Merge pull request #3802 from ehelms/enable-csrf

Fixes #5068: Redirect user to login on 401 and 403 and fix CSRF header.

History

#1 - 04/04/2014 09:15 AM - Ivan Necas

Is redirecting to login page correct action for 403 Forbidden? This should happen only when the user is not authenticated, which corresponds to 401

only

#2 - 04/04/2014 01:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:81c0eab4d22974d6d2a300d09ebd3678dbd93788.

#3 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
